$alias fdopen='fdopen'(%val,%ref)
      include 'phigs.f1.h'			! get the HP-PHIGS aliases
      program Polymarker			! program "Polymarker.f"
      include 'phigs.f2.h'			! get the HP-PHIGS constants

      integer*4	WorkstnID			! workstation identifier
      parameter (WorkstnID=1)			! value chosen by the user
      integer*4	ConnID				! connection identifier
      integer*4	WorkstnType			! workstation type
      parameter (WorkstnType=POIDDX)		! out/in, direct, dbl bfr, X
      integer*4	TheStructure			! display list structure root
      parameter (TheStructure=1)		! value chosen by the user
      real	X(4), Y(4), dY(4)		! arrays for polymarkers
      data	X  /.1, .4, .8, .9/		! X values for polymarkers
      data	dY /0., -.02, .03, 0./		! oscillation about Y values
      integer*4	I, J				! loop control variables
      integer*4 fdopen				! to get file descriptor

      call popph(fdopen(fnum(7), 'w'//char(0)), 0)	! open phigs
      call pue004('/dev/screen/phigs_window', ConnID)	! get connection ID
      call popwk(WorkstnID, ConnID, WorkstnType)! open workstation
      call popst(TheStructure)			! open display list structure
      call psmksc(10.)				! set marker scale factor
      do I=-5, 5				! for each marker type...
          if (I .ne. 0) then
              do J=1, 4				! \
                  Y(J)=dY(J)+.5-I/11.		!  > define line's Y values
              end do				! /
              call psmk(I)			! set marker type
              call ppm(4, X, Y)			! polymarker
              call ppl(4, X, Y)			! polyline joins like markers
          end if
      end do
      call pclst				! close display list structure
      call ppost(WorkstnID, TheStructure, 1.)	! mark structure for display
      call pclwk(WorkstnID)			! close workstation
      call pclph				! close phigs
      stop					! stop processing
      end					! end of program
