$alias fdopen='fdopen'(%val,%ref)
      include 'phigs.f1.h'			! get the HP-PHIGS aliases
      program FillArea				! program "FillArea.f"
      include 'phigs.f2.h'			! get the HP-PHIGS constants

      integer*4	WorkstnID			! workstation identifier
      parameter (WorkstnID=1)			! value chosen by the user
      integer*4	ConnID				! connection identifier
      integer*4	WorkstnType			! workstation type
      parameter (WorkstnType=POIDDX)		! out/in, direct, dbl bfr, X
      integer*4	TheStructure			! display list structure root
      parameter (TheStructure=1)		! value chosen by the user
      real	X1(5), Y1(5), X2(8), Y2(8)	! points for polygons
      data	X1 /.1, .4, .4, .3, .1/			! \
      data	Y1 /.1, .1, .5, .6, .6/			!  \ define both
      data	X2 /.6, .8, .8, .7, .7, .9, .9, .6/	!  / polygons' data
      data	Y2 /.4, .4, .8, .8, .7, .7, .9, .9/	! /
      integer*4 fdopen				! to get file descriptor

      call popph(fdopen(fnum(7), 'w'//char(0)), 0)	! open phigs
      call pue004('/dev/screen/phigs_window', ConnID)	! get connection ID
      call popwk(WorkstnID, ConnID, WorkstnType)! open workstation
      call popst(TheStructure)			! open display list structure
      call psis(PSOLID)				! set interior style
      call pfa(5, X1, Y1)			! polygon 1 (simple)
      call pfa(8, X2, Y2)			! polygon 2 (self-intersecting)
      call pclst				! close display list structure
      call ppost(WorkstnID, TheStructure, 1.)	! mark structure for display
      call puwk(WorkstnID, PPERFO)		! update the workstation
      call pclwk(WorkstnID)			! close workstation
      call pclph				! close phigs
      stop					! stop processing
      end					! end of program
